## org.eclipse.xsd.impl.type
Class XSDAnySimpleType.ByteSequence

    java.lang.Object
      org.eclipse.xsd.impl.type.XSDAnySimpleType.ByteSequence

All Implemented Interfaces:
  XSDUtil.ByteSequence

Direct Known Subclasses:
  XSDAnySimpleType.HexSequence

Enclosing class:
  XSDAnySimpleType

    public static class XSDAnySimpleType.ByteSequence

extends java.lang.Object
implements XSDUtil.ByteSequence

Field Summary
`protected byte[]` `bytes`
`protected java.lang.String` `canonical`
`protected XSDAnySimpleType` `xsdAnySimpleType`

Constructor Summary
`XSDAnySimpleType.ByteSequence(XSDAnySimpleType xsdAnySimpleType, byte[] bytes)`

Method Summary
`boolean` `equals(java.lang.Object that)`
`byte[]` `getBytes()`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### xsdAnySimpleType

    protected final XSDAnySimpleType xsdAnySimpleType

### bytes

    protected final byte[] bytes

### canonical

    protected java.lang.String canonical

Constructor Detail

### XSDAnySimpleType.ByteSequence

    public XSDAnySimpleType.ByteSequence(XSDAnySimpleType xsdAnySimpleType,
                                         byte[] bytes)

Method Detail

### getBytes

    public byte[] getBytes()

  Specified by:
    `getBytes` in interface `XSDUtil.ByteSequence`

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.